1. Analysis Via OTP
FinEye Financial Analysis Suite
  • Bank Statement Analysis
    • Generate Session ID
      POST
    • Upload
      POST
    • Start Analysis
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Data Parsing
    • Generate Session ID
      POST
    • Upload
      POST
    • Pre Analysis
      POST
    • Data Parsing
      POST
    • Pre Analysis with Data Parsing
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Account Aggregator
    • Consent Generate URL
      POST
    • FIU Fetch Consent Customer
      GET
    • FIU Fetch Consent
      GET
    • Generate Session from Consent ID
      POST
    • Fetch Session Data
      POST
  • GST Analysis
    • Analysis Via Credentials
      • Generate Session ID
      • Start Analysis
      • Check Status
      • Retrieve Report
    • Analysis Via OTP
      • Generate Session ID
        POST
      • OTP Verification
        GET
      • Start Analysis
        POST
      • Check Status
        POST
      • Retrieve Report
        GET
  1. Analysis Via OTP

Generate Session ID

BSA Prod
BSA Prod
POST
/generateSession

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OKRES
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/generateSession' \
--header 'authkey;' \
--header 'Content-Type: application/json' \
--data '{
    "username": "<username>",
    "gst_number": "<gst_number>",
    "financial_year": "YYYY-YY",
    "borrowerId": "BR-123456789",
    "documentId": "03",
    "consent": "Y",
    "consent_text": "We confirm that we have obtained the consent of the respective customer to fetch their details by using their Bank Statements and the customer is aware of the purpose for which their datais sought for being processed and have given their consent for the same and such consent is currently valid and not withdrawn.",
    "type": "string"
}'
Response Response Example
{
    "api_category": "Financial Analysis Suite",
    "api_name": "FinEye - Generate Session ID",
    "datetime": "2026-07-02 12:52:00.862763",
    "message": "Success",
    "result": {
        "expired_at": "2026-07-02 13:52:00.131212",
        "session_id": "<session_id>"
    },
    "status": "OKRES",
    "txn_id": "9211763e-7b89-4ccc-a7e1-4ad6a3cb8a01"
}
Modified at 2026-08-06 11:15:36
Previous
Analysis Via OTP
Next
OTP Verification
Built with